import { root } from '@/api/index'
import { dict } from '@/api/index'
import fetch from 'utils/fetch';


//保存数据字典组
export function saveDictGroup(form) {
    return fetch({
        url: `${dict}/dataDictionaryGroup/save`,
        method: 'post',
        data: form
    })
}





// 保存数据字典
export function saveDict(form) {
    return fetch({
        url: `${dict}/dataDictionary/save`,
        method: 'post',
        data: form
    })
}

export function updateDict(form) {
    return fetch({
        url: `${dict}/dataDictionary/update`,
        method: 'post',
        data: form
    })
}
//根据id查询数据字典
export function dictDetail(id) {
    return fetch({
        url: `${dict}/dataDictionary/findById/${id}`,
        method: 'get',
    });
}
// 删除数据字典
export function deleteData(configCode) {
    return fetch({
        url: `${dict}/dataDictionary/delete/${configCode}`,
        method: 'delete',
        data: configCode
    })
}


// 字典组更新
export function updateDictGroup(form) {
    return fetch({
        url: `${dict}/dataDictionaryGroup/update`,
        method: 'post',
        data: form
    })
}
// 删除数据字典组
export function deleteDataGroup(configCode) {
    return fetch({
        url: `${dict}/dataDictionaryGroup/delete/${configCode}`,
        method: 'delete',
        data: configCode
    })
}


// 查询数据字典的数据字典树
export function dictTreeList() {
    return fetch({
        url: `${dict}/dataDictionary/getAllDataTree`,
        method: 'get',
    });
}


// 字典组分页
export function dictList(limit, groupName) {
    return fetch({
        url: `${dict}/dataDictionaryGroup/getAllAndPageUp/${limit.page}/${limit.size}?groupName=${groupName}`,
        method: 'get',
    });
}

// 根据id查询字典组
export function dictGroupById(id) {
    return fetch({
        url: `${dict}/dataDictionaryGroup/findById/${id}`,
        method: 'get',
    });
}

// 查询所有字典组
export function queryGroup() {
    return fetch({
        url: `${dict}/dataDictionaryGroup/getAll`,
        method: 'get',
    })
}