import { root } from '@/api/index'

import fetch from 'utils/fetch';

//模糊查询接口
export function pageOption(query,condition) {
  return fetch({
    url: `${root}/dict/findByPage/${query.page}/${query.size}`,
    method: 'post',
    data: JSON.stringify(condition)
  });
}

//获取所有列表接口
export function page(query,condition) {
  return fetch({
    url: `${root}/dict/findByPage/${query.page}/${query.size}`,
    method: 'post',
    data:JSON.stringify(condition)
  });
}

//新建、添加
export function addObj(obj) {
  return fetch({
    url: `${root}/dict/save`,
    method: 'post',
    data: JSON.stringify(obj)
  });
}

//编辑==通过id查询信息，返回信息到弹框form表单里面
export function getObj(objId) {
  return fetch({
    url: `${root}/dict/findById`,
    method: 'get',
    params:{
    	id:objId
    }
  })
}

//弹框里面的确认更新信息功能
export function putObj(obj) {
  return fetch({
    url: `${root}/dict/update`,
    method: 'post',
    data: JSON.stringify(obj)
  })
}

//删除功能
export function delObj(idList) {
  return fetch({
    url: `${root}/dict/deletes`,
    method: 'delete',
    data:idList
  })
}

//查询所有部门
export function departmentAll() {
  return fetch({
    url: `${root}/dict/findByGroupName`,
    method: 'get'
  })
}
