import { root } from '@/api/index'

import fetch from 'utils/fetch'

// 获取Excel分页列表
export function getList(listQuery, condition) {
  console.dir(condition)
  return fetch({
    url: `${root}/excel/template/findByPage/${listQuery.page}/${listQuery.size}?groupsCode=${condition.groupsCode}&name=${condition.name}`,
    method: 'get'
  });
}

// 获取Excel详情
export function preview(id) {
  return fetch({
    url: `${root}/excel/template/findById/${id}`,
    method: 'get'
  })
}

// 删除excel/template/deletes
export function deletes(ids) {
  return fetch({
    url: `${root}/excel/template/deletes`,
    method: 'delete',
    data: ids
  })
}

// excel/template/save 模板新增，填写基本信息并上传excel
export function add(obj) {
  return fetch({
    url: `${root}/excel/template/save`,
    method: 'post',
    data: JSON.stringify(obj)
  });
}

// /excel/template/update  模板编辑
export function update(obj) {
  return fetch({
    url: `${root}/excel/template/update`,
    method: 'post',
    data: JSON.stringify(obj)
  })
}

// 获取模板类型分组
export function getGroups() {
  return fetch({
    url: `${root}/excel/template/getGroups`,
    method: 'get'
  })
}

/*==============================================完成一般上传，不用绑定============================*/
import { fileApi } from '@/api/index'
import fetchFile from '@/utils/fetchFile'
// ==创建新的axios，formData对象==
export function uploadComponent(e) {
  const file = e.target.files[0]
  const param = new FormData() // 创建FormData对象
  param.append('file', file, file.name) // 通过append向form对象添加数据
  param.append('chunk', '0') // 添加form表单中其他数据
  // console.log(param.get('file')); //FormData私有类对象，访问不到，可以通过get判断值是否传进去
  return fetchFile({
    url: `${fileApi}/file/upload?nameStr=null`,
    method: 'post',
    data: param
  })
}
//==文件上传后根据返回的ID查询信息，fileLink,fileName做回显==
// function axiosUpload(param, config) {
// 	return 
// }
