import { root } from '@/api/index'

import fetch from 'utils/fetch';

// 列表展示
export function page(query,role) {
  return fetch({
    url: `${root}/role/findByPage/${query.page}/${query.size}`,
    method: 'post',
    data: JSON.stringify(role)
  });
}

// 搜索
export function pageOption(query,info) {
  return fetch({
    url: `${root}/role/findByPage/${query.page}/${query.size}`,
    method: 'post',
    data: JSON.stringify(info)
  });
}

// 添加
export function addObj(form,ids) {
  return fetch({
    url: `${root}/role/save/${ids}`,
    method: 'post',
    data: JSON.stringify(form)
  });
}

// 删除
export function delObj(ids) {
  return fetch({
    url: `${root}/role/delete`,
    method: 'delete',
    data: JSON.stringify(ids)
  })
}

// 获取详情
export function getObj(id) {
  return fetch({
    url: `${root}/role/findById?id=${id}`,
    method: 'get'
  })
}

// 提交
export function putObj(role,ids) {
  return fetch({
    url: `${root}/role/update/${ids}`,
    method: 'post',
    data: JSON.stringify(role)
  });
}

