import { root } from '@/api/index'

import fetch from 'utils/fetch';

// 添加
export function addObj(obj) {
  return fetch({
    url: `${root}/department/save`,
    method: 'post',
    data: JSON.stringify(obj)
  });
}

// 获取
export function getObj(id) {
  return fetch({
    url: `${root}/department/findById/${id}`,
    method: 'get'
  })
}

// 删除
export function delObj(ids) {
  return fetch({
    url: `${root}/department/delete`,
    method: 'delete',
    data: JSON.stringify(ids)
  })
}

// 发送
export function putObj(obj) {
  return fetch({
    url: `${root}/department/update`,
    method: 'post',
    data: JSON.stringify(obj)
  });
}

// 树形信息
export function getTree() {
  return fetch({
    url: `${root}/department/getTreeData`,
    method: 'get'
  });
}
