import { root } from '@/api/index'
import fetch from 'utils/fetch';

//修改单位管理数据回显
export function getOrgInfo(orgCode) {
	return fetch({
		url: `${root}/org/info?orgCode=${orgCode}`,
		method: 'get'
	});
}
//添加组织信息
export function saveOrgInfo(data) {
	return fetch({
		url: `${root}/org/add`,
		method: 'post',
		data: data
	});
}
//更新组织信息
export function updateOrgInfo(data) {
	return fetch({
		url: `${root}/org/update`,
		method: 'post',
		data: data
	});
}
//删除组织信息
export function deleteOrgInfo(data) {
	return fetch({
		url: `${root}/org/delete?orgCodes=${data}`,
		method: 'post'
	});
}

//获取组织部门信息
export function departByCode(data) {
	return fetch({
		url: `${root}/department/findByOrgCode?orgCode=${data}`,
		method: 'get'
	});
}

//修改单位管理数据回显
export function getDepartInfo(data) {
	return fetch({
		url: `${root}/department/findByDeptCode`,
		method: 'post',
		data: data
	});
}

//添加组织信息
export function saveDepart(data) {
	return fetch({
		url: `${root}/department/save`,
		method: 'post',
		data: data
	});
}
//更新组织信息
export function updateDepart(data) {
	return fetch({
		url: `${root}/department/update`,
		method: 'post',
		data: data
	});
}
//删除组织信息
export function deleteDepart(data) {
	return fetch({
		url: `${root}/department/delete`,
		method: 'delete',
		data: data
	});
}


export function orgAndDepartTreeNew(orgCode) {
	return fetch({
		url: `${root}/org/orgAndDepartTreeNew?orgCode=${orgCode}`,
		method: 'post',
	});
}

//部门下用户
export function findByDeptCode(deptCode) {
	return fetch({
		url: `${root}/user/findByDeptCode/${deptCode}`,
		method: 'get',
	});
}

//根据部门名称查询部门信息
export function defindByDeptName(deptName, orgCode) {
	return fetch({
		url: `${root}/department/findByDeptName?deptName=${deptName}&orgCode=${orgCode}`,
		method: 'post',
	});
}





