import { login,rencaiApi,fileApi } from '@/api/index'
import fetch from 'utils/fetch';
//新增页面资源
export function addMethod(type,form) {
    return fetch({
      url: `${login}/resource/savePageResource/${type}`,
      method: 'post',
      data: form
    });
}
//根据ID获取页面资源
export function getInfoMethod(id) {
    return fetch({
      url: `${login}/resource/getPageResource/${id}`,
      method: 'get'
    });
}
//根据ID删除页面资源
export function delInfoMethod(id) {
    return fetch({
      url: `${login}/resource/deletePageResource/${id}`,
      method: 'get'
    });
}


//根据ID删除数据资源
export function delDataMethod(id) {
  return fetch({
    url: `${login}/resource/deleteDataResource/${id}`,
    method: 'get'
  });
}
//根据ID获取数据资源
export function getDataMethod(id) {
  return fetch({
    url: `${login}/resource/getDataResource/${id}`,
    method: 'get'
  });
}
//保存数据资源信息
export function saveDataMethod(type,form) {
  return fetch({
    url: `${login}/resource/saveDataResource/${type}`,
    method: 'post',
    data: form
  });
}

//人才推荐查询作业
export function findWorkInfoByPage(data) {
  return fetch({
      url: `${rencaiApi}talentRecommend/findWorkInfoByPage/${data.page}/${data.size}`,
      method: 'post',
      data: data
  })
}

//人才推荐状态名称字典
export function findStatus() {
  return fetch({
      url: `${rencaiApi}talentRecommend/findStatus`,
      method: 'post',
  })
}

//修改作业字典
export function updateWorkInfo(data) {
  return fetch({
      url: `${rencaiApi}talentRecommend/updateWorkInfo`,
      method: 'post',
      data:data
  })
}


//获取菜单树（注：获取所有的菜单层级数据）
export function getAllResourcesTree() {//天津市用户登陆时调这个（又称：父管理员登录）
  return fetch({
      url: `${login}/resource/getTreeData`,
      method: 'get'
  })
}
// 根据用户id和父级资源code获取菜单资源-树
export function getResourcesTree(resourceCode,userId) {//非天津市用户登录时调这个（又称：子管理员登录）
  return fetch({
      url: `${login}/menuPrivilege/userMenuList?resourceCode=${resourceCode}&userId=${userId}`,
      method: 'post'
  })
}
export function getResourcesTreeNew(resourceCode,userId) {//非天津市用户登录时调这个（又称：子管理员登录）
  return fetch({
      url: `${login}/menuPrivilege/userInfoMenuList?resourceCode=${resourceCode}&userId=${userId}`,
      method: 'post'
  })
}
//修改作业字典
export function saveResourcesInfo(data) {
  return fetch({
      url: `${login}/resource/save`,
      method: 'post',
      data:data
  })
}

//修改作业字典
export function updateResourcesInfo(data) {
  return fetch({
      url: `${login}/resource/update`,
      method: 'post',
      data:data
  })
}

//删除组织信息
export function deleteResourcesInfo(data) {
	return fetch({
		url: `${login}/resource/deletes`,
        method: 'delete',
        data: data
	});
}
//文件回显
export function fileInfo(data) {
  return fetch({
    url: `${fileApi}/file/findByIds?ids=${data}`,
    method: 'get'
  })
}
