import { root } from '@/api/index'
import fetch from 'utils/fetch';

//获取参数类型分页信息
export function paraList(limit, queryForm) {
  return fetch({
    url: `${root}/para/findByPage/${limit.page}/${limit.size}`,
    method: 'post',
    data: queryForm
  });
}
//根据paracode获取参数信息
export function getPara(id) {
  return fetch({
    url: `${root}/para/fingParaInfo/${id}`,
    method: 'get'
  })
}
//保存参数类型信息
export function savePara(form) {
  return fetch({
    url: `${root}/para/add`,
    method: 'post',
    data: form
  })
}
//更新参数类型信息
export function updatePara(form) {
  return fetch({
    url: `${root}/para/update`,
    method: 'post',
    data: form
  })
}
//删除参数类型信息
export function deletePara(paraCode) {
  return fetch({
    url: `${root}/para/delete?paraCode=${paraCode}`,
    method: 'post',
    data: paraCode
  })
}
//获取参数类型所有信息信息
export function paraAllList() {
  return fetch({
    url: `${root}/para/fingParaList`,
    method: 'get',
  });
}
//获取参数类型所有信息信息
export function paraConfigList(limit, queryForm) {
  return fetch({
    url: `${root}/config/findByPage/${limit.page}/${limit.size}`,
    method: 'post',
    data: queryForm
  });
}
//保存参数类型信息
export function saveParaConfig(form) {
  return fetch({
    url: `${root}/config/add`,
    method: 'post',
    data: form
  })
}
//根据configCode获取参数信息
export function getParaConfig(id) {
  return fetch({
    url: `${root}/config/fingParaConfig/${id}`,
    method: 'get'
  })
}
//更新参数类型信息
export function updateParaConfig(form) {
  return fetch({
    url: `${root}/config/update`,
    method: 'post',
    data: form
  })
}
//删除参数类型信息
export function deleteParaConfig(configCode) {
  return fetch({
    url: `${root}/config/delete?configCodes=${configCode}`,
    method: 'post',
    data: configCode
  })
}
//根据configCode获取参数信息
export function getParaConfigList(paraCode) {
  return fetch({
    url: `${root}/config/fingParaConfigList/${paraCode}`,
    method: 'get'
  })
}