import { root } from '@/api/index'
import fetch from 'utils/fetch';

//获取角色信息列表
export function roleList(limit, queryForm) {
  return fetch({
    url: `${root}/role/findByPage/${limit.page}/${limit.size}`,
    method: 'post',
    data: queryForm
  });
}
//保存角色信息
export function saveRole(form) {
  return fetch({
    url: `${root}/role/add`,
    method: 'post',
    data: form
  })
}
//根据id获取角色信息
export function getRole(roleCode) {
  return fetch({
    url: `${root}/role/fingRoleByCode/${roleCode}`,
    method: 'get'
  })
}
//根据ID删除角色信息
export function deleteRole(roleCode) {
  return fetch({
    url: `${root}/role/delete?roleCodes=${roleCode}`,
    method: 'post'
  })
}
//保存角色信息
export function updateRole(form) {
  return fetch({
    url: `${root}/role/update`,
    method: 'post',
    data: form
  })
}

export function getRoleList() {
  return fetch({
    url: `${root}/role/selectByEntity`,
    method: 'get'
  })
}

export function selectMyByEntity() {
  return fetch({
    url: `${root}/role/selectMyByEntity`,
    method: 'post',
    data: {}
  })
}

export function updateUserRoles(form) {
  return fetch({
    url: `${root}/user/updateUserRoles`,
    method: 'put',
    data: form
  })
}

//获取单位
export function fingParaConfigList(val) {
  return fetch({
    url: `${root}/config/fingParaConfigList/${val}`,
    method: 'get'
  })
}
