import { root, fileApi,UserSeal } from '@/api/index'
import fetch from 'utils/fetch';
import fetchFile from 'utils/fetchFile';
//模糊查询列表页
export function pageCondition(query, condition) {
	return fetch({
		url: `${root}/user/findByPage/${query.page}/${query.size}`,
		method: 'post',
		data: JSON.stringify(condition)
	});
}
//查询所有列表
export function page(query, condition) {
	return fetch({
		url: `${root}/user/findByPage/${query.page}/${query.size}`,
		method: 'post',
		data: JSON.stringify(condition)
	});
}
//验证账号是否被注册
export function checkUname(Uname) {
	return fetch({
		url: `${root}/user/findByUsername/${Uname}`,
		method: 'post'
	});
}
//添加
export function addObj(obj) {
	return fetch({
		url: `${root}/user/save`,
		method: 'post',
		data: JSON.stringify(obj)
	});
}
//编辑==通过id查询信息，返回信息到弹框form表单里面
export function getById(objId) {
	return fetch({
		url: `${root}/user/findById`,
		method: 'get'
	})
}
//上传解决打包上传失败
export function uploadFile(param) {
	return fetchFile({
		url: `${fileApi}/file/upload?nameStr=null`,
		method: 'post',
		data: param
	})
}
//更新用户信息
export function putObj(userObj) {
	return fetch({
		url: `${root}/user/update`,
		method: 'post',
		data: JSON.stringify(userObj)
	})
}
//用户管理删除用户
export function delObj(idList) {
	return fetch({
		url: `${root}/user/deletes`,
		method: 'delete',
		data: JSON.stringify(idList)
	})
}
//冻结用户
export function freeze(objId) {
	return fetch({
		url: `${root}/user/freezeUser`,
		method: 'post',
		data: objId
	})
}
//解冻用户
export function unfreeze(objId) {
	return fetch({
		url: `${root}/user/freezeUser`,
		method: 'post',
		data: objId
	})
}
//查询所有角色名称
export function findRole() {
	return fetch({
		url: `${root}/role/findAll`,
		method: 'get'
	});
}
//查询所有职位名称
export function findPosition() {
	return fetch({
		url: `${root}/dict/findPositionName?name=` + '职位',
		method: 'get',
	});
}
//查询所有部门名称
export function findDepartment() {
	return fetch({
		url: `${root}/department/getTreeData`,
		method: 'get'
	});
}
//重置密码
export function reportPassWord(userCode) {
	return fetch({
		url: `${root}/user/resetPassword/${userCode}`,
		method: 'post'
	})
}
//获取用户信息列表
export function userFindByPage(bizType, data) {
	return fetch({
		url: `${root}/user/findByPage/${bizType}/${data.page}/${data.size}`,
		method: 'post',
		data: data
	});
}

//保存用户信息
export function saveUserInfo(type, data) {
	return fetch({
		url: `${root}/user/saveUserinfo/${type}`,
		method: 'post',
		data: data
	});
}

//修改数据回显
export function editUserInfo(id) {
	return fetch({
		url: `${root}/user/getUserinfo/${id}`,
		method: 'get'
	});
}

//锁定用户
export function lockUser(type, data) {
	return fetch({
		url: `${root}/user/ctlLockUser/${type}`,
		method: 'post',
		data: data
	});
}

//删除用户
export function deleteUser(id) {
	return fetch({
		url: `${root}/user/deleteUserinfo/${id}`,
		method: 'get'
	});
}

//重置密码
export function resetPwd(data) {
	return fetch({
		url: `${root}/user/resetUserPasswd`,
		method: 'post',
		data: data
	});
}

//获取角色管理数据
export function getPersonData() {
	return fetch({
		url: `${root}/role/getRoleInfoList/0`,
		method: 'get'
	});
}
//获取级联的部门ID数组
export function getCascaderDeptIds(deptId) {
	return fetch({
		url: `${root}/org/getCascaderDeptIds/${deptId}`,
		method: 'get'
	});
}



//查询所有列表
export function getUserInfo(query, condition) {
	return fetch({
		url: `${root}/user/findByPage/${query.page}/${query.size}`,
		method: 'post',
		data: condition
	});
}

//查询所有列表
export function saveUserInfoNew(type, condition) {
	return fetch({
		url: `${root}/user/saveUserinfo/${type}`,
		method: 'post',
		data: condition
	});
}

//查询所有列表
export function getUserInfoNew(userCode) {
	return fetch({
		url: `${root}/user/findByCode`,
		method: 'post',
		data: userCode
	});
}

//查询所有列表
export function deleteUserInfoNew(data) {
	return fetch({
		url: `${root}/user/deletes`,
		method: 'delete',
		data: data
	});
}

//获取所有印章信息

export function getAllSeal() {
	return fetch({
		url: `${UserSeal}/seal/list_all_seal`,
		method: 'get'
	});
}
