import { root,fileApi,login } from '@/api/index'
import axios from 'axios';
import fetch from 'utils/fetch';

//列表页数据
export function tableFindByPage(bizType,data) {
	return fetch({
		url: `${login}/workgroup/findByPage/${bizType}/${data.page}/${data.size}`,
		method: 'post',
		data: data
	});
}

//列表页新增
export function newAddTable(type,data) {
	return fetch({
		url: `${login}/workgroup/saveWorkingGroup/${type}`,
		method: 'post',
		data: data
	});
}

//列表页修改数据回显
export function reviewInfo(id) {
	return fetch({
		url: `${login}/workgroup/getWorkingGroup/${id}`,
		method: 'get'
	});
}

//列表页数据删除
export function deleteTableData(id) {
	return fetch({
		url: `${login}/workgroup/deleteWorkingGroup/${id}`,
		method: 'get'
	});
}

export function getOrgAllUserInfoData() {
	return fetch({
		url: `${login}/user/getOrgAllUserInfoData`,
		method: 'get'
	});
}

export function getUserIdsByWorkgroupId(wgId) {
	return fetch({
		url: `${login}/workgroup/getWorkingGroupUserIds/${wgId}`,
		method: 'get'
	});
}

//保存工作组-用户关系
export function saveWorkgroupUserRefs(data) {
	return fetch({
		url: `${login}/workgroup/saveWorkingGroupUsers`,
		method: 'post',
		data: data
	});
}




