import { root,portalApi,auth,login } from '@/api/index'
import fetch from 'utils/fetch';
/*-----------------用户登录-----------------------*/
export function loginByEmail(username, password) {
	return fetch({
		url: `${auth}/auth/login/4/${username}/${password}`,
		method: 'post',
	});
}


/*-----------------用户登出-----------------------*/
export function logout(token) {
	return fetch({
		url: `${root}/user/logout`,
		method: 'post',
		data: token
	});
}
/*-----------------修改密码-----------------------*/
export function updataPassword(data) {
	console.log(data)
	return fetch({
		url: `${root}/user/updatePassword`,
		method: 'post',
		data: data
	});
}

/*--------------获取左侧导航栏----------------*/
export function getMenus(userId) {
	return fetch({
		url: `${root}/guide/findByUserId?id=${userId}`,
		method: 'get',
		data: ''
	});
}
export function getInfo(token) {
	return fetch({
		url: `/api/auth-company/auth/getCurrUserinfo`,
		method: 'get',
		params: {
			token
		}
	});
}

// 获取省份信息
export function provinceInfo() {
	return fetch({
		url: `${root}/menu/getProvince`,
		method: 'get'
	})
}

export function getAllMenus() {
	return fetch({
		url: `${root}/api/admin/user/front/menu/all`,
		method: 'get'
	});
}

// //获取logo旁边的文字
// export function getPlatformnameFn() {
//   return fetch({
//     url: `${root}/symbol/getPlatformname`,
//     method: 'get'
//   })
// }

// 获取验证码
export function verificationCode() {
	return fetch({
	  url: `${portalApi}/mail/securityCode`,
	  method: 'get',
	});
  }

// 验证码校验
export function checkVerificationCode(code) {
	return fetch({
	  url: `${root}/user/login/checkCode?code=${code}`,
	  method: 'post',
	});
  }

//获取权限信息
export function getRightsAllocation(roleCode) {
	return fetch({
	  url: `${login}/roleResources/findRoleResourcesTree?roleCode=${roleCode}`,
	  method: 'post'
	});
}
/*-----------------短信登录-----------------------*/
export function sendMessage(mobile) {
	return fetch({
		url: `${auth}/auth/sendMessage?mobile=${mobile}`,
		method: 'post',
	});
}
/*-----------------用户登录-----------------------*/
export function messLogin(mobile,code) {
	return fetch({
		url: `${auth}/auth/messLogin?mobile=${mobile}&code=${code}`,
		method: 'post',
	});
}
