import { login } from '@/api/index';
import fetch from 'utils/fetch';
//单位树
export function userDeptTree(bizType) {
	return fetch({
		url: `${login}/org/getOrgSubOrgsAndDeptDescendantsTree/${bizType}`,
		method: 'get',
	});
}

//单位树
export function deptTree(bizType) {
	return fetch({
		url: `${login}/org/getOrgDescendantsTree/${bizType}`,
		method: 'get',
	});
}

//单位树
export function orgainztionTree(orgCode,pageNum) {
	return fetch({
		url: `${login}/org/tree?orgCode=${orgCode}${pageNum}`,
		method: 'post'
	});
}

//部门树
export function deptTrees(bizType) {
	return fetch({
		url: `${login}/org/getDeptDescendantsTree/${bizType}`,
		method: 'get',
	});
}

//部门树
export function deptTreesByOrgId(bizType, orgId) {
	return fetch({
		url: `${login}/org/getDeptDescendantsTreeByOrgId/${bizType}/${orgId}`,
		method: 'get',
	});
}

//根据ID获取机构信息
export function getOrganizationById(id) {
	return fetch({
		url: `${login}/org/getOrganization/${id}`,
		method: 'get',
	});
}


//页面资源树
export function pageResourceTree(bizType) {
	return fetch({
		url: `${login}/resource/getPageResourceTree/${bizType}`,
		method: 'get',
	});
}

//获取本单位下子孙部门信息的树(包括本单位信息)
export function getOrgIncludeDeptDescendantsTree(bizType) {
    return fetch({
		url: `${login}/org/getOrgIncludeDeptDescendantsTree/${bizType}`,
        method: 'get'
	});
}

//获取本单位下子孙部门信息的树
export function getDeptDescendantsTree(bizType) {
	return fetch({
		url: `${login}/org/getDeptDescendantsTree/${bizType}`,
        method: 'get'
	});
}
//获取数据资源树
export function dataResourceTree(bizType) {
	return fetch({
		url: `${login}/resource/getDataResourceTree/${bizType}`,
		method: 'get',
	});
}

export function getApproveDataTree(bizType) {
	// return fetch({
	// 	url: `${login}/resource/getApproveDataTree/${bizType}`,
	// 	method: 'get',
	// });
}
